swoole_event_wait

函数原型:

void swoole_event_wait(void);

PHP5.4之前的版本没有在ZendAPI中加入注册shutdown函数。所以swoole无法在脚本结尾处自动进行事件轮询。所以低于5.4的版本,需要在你的PHP脚本结尾处加swoole_event_wait函数。使脚本开始进行事件轮询。

5.4或更高版本不需要加此函数
SwooleServer下也不需要加



  • xujiandev

    hi, centOS 6.5 + php5.3.20, 测试用例就是github上最简单的那个server和client 在client最后一行加上 swoole_event_wait(); 依然会报 [19-Sep-2014 22:52:59 Asia/Shanghai] PHP Warning: swoole_client::connect(): swoole_client: PHP5.3 not support auto run swoole_event_wait. Please append swoole_event_wait at the script end. in /home/work/sandc/client.php on line 21